import { default as React, FC } from 'react';

export type ToastKind = 'warning' | 'info' | 'danger' | 'message' | 'error' | 'multi';
export type ToastCustomIcon = FC<{
    className?: string;
}>;
interface IToastProps {
    kind: ToastKind;
    message: string | IMultilineMessage[];
    markdown?: boolean;
    id?: number | string;
    onClose(): void;
    customIcon?: ToastCustomIcon;
}
export interface IMultilineMessage {
    title?: string;
    messages: string[];
}
export declare const Toast: React.FC<IToastProps>;
export {};
