export interface IFunctionVariable {
    name: string;
    type: string;
}
export interface IGetFunctionContentParsedResult extends Omit<IGetFunctionContentResult, 'parameters'> {
    content: string;
    params: IFunctionVariable[];
    returns?: IFunctionVariable;
}
export interface IGetFunctionContentResult extends IGetFunctionContentRequest {
    content: string;
    parameters: string;
    filePath: string;
    startingLine?: number;
    endingLine?: number;
}
export interface IGetFunctionContentRequest {
    functionName: string;
    className: string;
}
export declare function getFunctionContent(path: string, className: string): Promise<IGetFunctionContentParsedResult>;
